Update cURL versie

Indien je een verouderde cURL versie hebt, kan het zijn dat je een melding krijgt in de backend van WooCommerce. De cURL versie wordt gedefinieerd op serverniveau, oftewel via je hosting provider.

Wat is cURL?


CURL is een command-line programma voor het verkrijgen of verzenden van bestanden en data.

Aangezien cURL libcurl gebruikt, ondersteunt het een reeks veelgebruikte internetprotocollen, waaronder (momenteel) HTTP, HTTPS, FTP, FTPS, SCP, SFTP, TFTP, LDAP, DAP, DICT, TELNET, FILE, IMAP, POP3, SMTP en RTSP (de laatste vier alleen in versies nieuwer dan 7.20.0 of 9 februari 2010).

CURL ondersteunt HTTPS en voert standaard SSL-certificaatverificatie uit wanneer een veilig protocol zoals HTTPS wordt gespecificeerd. Wanneer cURL verbinding maakt met een externe server via HTTPS, zal het het certificaat van de externe server verkrijgen en vervolgens de geldigheid van de externe server vergelijken met zijn CA-certificaat om er zeker van te zijn dat de externe server de server is die hij beweert te zijn.

cURL wordt onder andere gebruikt door de bol.com API, aangezien hier privacy gevoelige informatie gedeeld wordt over een HTTPS connectie. Daarom vereist bol.com ook een minimale cURL versie.

Hoe update je de cURL versie?


De cURL versie kan enkel ge-update worden door je hosting provider. Geef in dit verzoek duidelijk aan dat het gaat om een cURL update in verband met een protocol van een API koppeling. 

Kom je er niet uit?


Kom je er niet uit met je hosting provider of heb je aanvullende vragen over de cURL versie, neem dan contact met ons op via 020 - 225 19 80 of support@woosa.nl.
How did we do with this article?